package de.ozgcloud.vorgang.common.userconfig;

import de.ozgcloud.user.grpc.organisationseinheit.GrpcGetSupportedOrganisationsEinheitenResponse;
import de.ozgcloud.user.organisationseinheit.GrpcOrganisationsEinheit;

public class GrpcGetSupportedOrganisationEinheitenResponseTestFactory {
	public static String ORGANISATIONS_EINHEIT_ID = "123456";

	public static GrpcGetSupportedOrganisationsEinheitenResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetSupportedOrganisationsEinheitenResponse.Builder createBuilder() {
		return GrpcGetSupportedOrganisationsEinheitenResponse.newBuilder()
				.addOrganisationseinheiten(GrpcOrganisationsEinheit.newBuilder().setOrganisationsEinheitId(ORGANISATIONS_EINHEIT_ID).build());
	}
}
