package de.ozgcloud.vorgang.vorgang;

import de.ozgcloud.vorgang.servicekonto.ServiceKonto;
import de.ozgcloud.vorgang.servicekonto.ServiceKontoTestFactory;

public class VorgangHeadTestFactory {

	public static final Lock LOCK = LockTestFactory.create();
	public static final ServiceKonto SERVICE_KONTO = ServiceKontoTestFactory.create();

	public static VorgangHead create() {
		return createBuilder().build();
	}

	public static VorgangHead.VorgangHeadBuilder createBuilder() {
		return VorgangHead.builder()
				.serviceKonto(SERVICE_KONTO)
				.lock(LOCK);
	}
}
